%define upstream_name    Shell-Perl
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Dumpers for Shell::Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Shell/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is the implementation of a command-line interpreter for Perl. I wrote
this because I was tired of using B<irb> when needing a calculator with a
real language within. Ah, that and because it was damn easy to write it.

This module is the heart of the B<pirl> script provided with B<Shell-Perl>
distribution, along with this module.

EXAMPLE SESSION
        $ pirl
        Welcome to the Perl shell. Type ':help' for more information
    
    
        pirl @> 1+1
        2
    
        pirl @> use YAML qw(Load Dump);
        ()
    
        pirl @> $data = Load("--- { a: 1, b: [ 1, 2, 3] }\n");
        { a => 1, b => [1, 2, 3] }
    
        pirl @> $var = 'a 1 2 3'; $var =~ /(\w+) (\d+) (\d+)/
        ("a", 1, 2)
    
        pirl @> :q

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/pirl
%{_mandir}/man1/pirl.1*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.4.0-5.mga10
+ Revision: 2204583
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.4.0-4.mga9
+ Revision: 1810184
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-3.mga8
+ Revision: 1506180
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.4.0-2.mga7
+ Revision: 1285992
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 0.4.0-1.mga7
+ Revision: 1132973
- update to 0.004

* Sun Jun 19 2016 pterjan <pterjan> 0.2.300-5.mga6
+ Revision: 1033057
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.2.300-4.mga6
+ Revision: 934404
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.300-3.mga5
+ Revision: 744327
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.300-2.mga5
+ Revision: 686197
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.2.300-1.mga5
+ Revision: 588638
- update to 0.0023

* Fri Oct 18 2013 umeabot <umeabot> 0.2.200-3.mga4
+ Revision: 514594
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.200-2.mga3
+ Revision: 372640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 24 2011 kharec <kharec> 0.2.200-1.mga2
+ Revision: 171621
- imported package perl-Shell-Perl


* Thu Nov 24 2011 cpan2dist 0.0022-1mga
- initial mageia release, generated with cpan2dist
